/// <reference types="react" />
import { OpeningHours } from './src/itemProps/OpeningHours';
import { Telephone } from './src/itemProps/Telephone';
import { Review } from './src/itemProps/Review';
import { Maps } from './src/itemProps/Maps';
import { GeoContains } from './src/itemProps/GeoContains';
import { MaximumAttendeeCapacity } from './src/itemProps/MaximumAttendeeCapacity';
import { ContainsPlace } from './src/itemProps/ContainsPlace';
import { SmokingAllowed } from './src/itemProps/SmokingAllowed';
import { GlobalLocationNumber } from './src/itemProps/GlobalLocationNumber';
import { Keywords } from './src/itemProps/Keywords';
import { GeoIntersects } from './src/itemProps/GeoIntersects';
import { Latitude } from './src/itemProps/Latitude';
import { GeoTouches } from './src/itemProps/GeoTouches';
import { GeoCoveredBy } from './src/itemProps/GeoCoveredBy';
import { AggregateRating } from './src/itemProps/AggregateRating';
import { Address } from './src/itemProps/Address';
import { GeoEquals } from './src/itemProps/GeoEquals';
import { Map } from './src/itemProps/Map';
import { PublicAccess } from './src/itemProps/PublicAccess';
import { GeoCrosses } from './src/itemProps/GeoCrosses';
import { ContainedInPlace } from './src/itemProps/ContainedInPlace';
import { AmenityFeature } from './src/itemProps/AmenityFeature';
import { Slogan } from './src/itemProps/Slogan';
import { Photos } from './src/itemProps/Photos';
import { GeoCovers } from './src/itemProps/GeoCovers';
import { ContainedIn } from './src/itemProps/ContainedIn';
import { HasDriveThroughService } from './src/itemProps/HasDriveThroughService';
import { Logo } from './src/itemProps/Logo';
import { IsAccessibleForFree } from './src/itemProps/IsAccessibleForFree';
import { GeoWithin } from './src/itemProps/GeoWithin';
import { GeoDisjoint } from './src/itemProps/GeoDisjoint';
import { TourBookingPage } from './src/itemProps/TourBookingPage';
import { IsicV4 } from './src/itemProps/IsicV4';
import { GeoOverlaps } from './src/itemProps/GeoOverlaps';
import { BranchCode } from './src/itemProps/BranchCode';
import { AdditionalProperty } from './src/itemProps/AdditionalProperty';
import { OpeningHoursSpecification } from './src/itemProps/OpeningHoursSpecification';
import { Reviews } from './src/itemProps/Reviews';
import { Photo } from './src/itemProps/Photo';
import { SpecialOpeningHoursSpecification } from './src/itemProps/SpecialOpeningHoursSpecification';
import { HasMap } from './src/itemProps/HasMap';
import { Longitude } from './src/itemProps/Longitude';
import { Geo } from './src/itemProps/Geo';
import { Events } from './src/itemProps/Events';
import { FaxNumber } from './src/itemProps/FaxNumber';
import { Event } from './src/itemProps/Event';
import { MainEntityOfPage } from './src/itemProps/MainEntityOfPage';
import { AlternateName } from './src/itemProps/AlternateName';
import { Name } from './src/itemProps/Name';
import { PotentialAction } from './src/itemProps/PotentialAction';
import { Image } from './src/itemProps/Image';
import { Url } from './src/itemProps/Url';
import { Description } from './src/itemProps/Description';
import { SubjectOf } from './src/itemProps/SubjectOf';
import { AdditionalType } from './src/itemProps/AdditionalType';
import { DisambiguatingDescription } from './src/itemProps/DisambiguatingDescription';
import { SameAs } from './src/itemProps/SameAs';
import { Identifier } from './src/itemProps/Identifier';
import { SubwayStation } from './src/SubwayStation';
export { SubwayStation, OpeningHours, Telephone, Review, Maps, GeoContains, MaximumAttendeeCapacity, ContainsPlace, SmokingAllowed, GlobalLocationNumber, Keywords, GeoIntersects, Latitude, GeoTouches, GeoCoveredBy, AggregateRating, Address, GeoEquals, Map, PublicAccess, GeoCrosses, ContainedInPlace, AmenityFeature, Slogan, Photos, GeoCovers, ContainedIn, HasDriveThroughService, Logo, IsAccessibleForFree, GeoWithin, GeoDisjoint, TourBookingPage, IsicV4, GeoOverlaps, BranchCode, AdditionalProperty, OpeningHoursSpecification, Reviews, Photo, SpecialOpeningHoursSpecification, HasMap, Longitude, Geo, Events, FaxNumber, Event, MainEntityOfPage, AlternateName, Name, PotentialAction, Image, Url, Description, SubjectOf, AdditionalType, DisambiguatingDescription, SameAs, Identifier };
declare const _default: {
    SubwayStation: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemScope: boolean;
        itemType: string;
    }, string | import("react").JSXElementConstructor<any>>;
    OpeningHours: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    Telephone: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    Review: {
        Review: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Maps: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    GeoContains: {
        Place: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        GeospatialGeometry: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    MaximumAttendeeCapacity: {
        Integer: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    ContainsPlace: {
        Place: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    SmokingAllowed: {
        Boolean: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    GlobalLocationNumber: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    Keywords: {
        ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
        }, string | import("react").JSXElementConstructor<any>>;
        DefinedTerm({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        URL({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    GeoIntersects: {
        GeospatialGeometry: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Place: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Latitude: {
        ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Number({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    GeoTouches: {
        Place: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        GeospatialGeometry: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    GeoCoveredBy: {
        Place: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        GeospatialGeometry: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    AggregateRating: {
        AggregateRating: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Address: {
        ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
        }, string | import("react").JSXElementConstructor<any>>;
        PostalAddress({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    GeoEquals: {
        Place: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        GeospatialGeometry: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Map: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    PublicAccess: {
        Boolean: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    GeoCrosses: {
        GeospatialGeometry: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Place: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    ContainedInPlace: {
        Place: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    AmenityFeature: {
        LocationFeatureSpecification: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Slogan: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    Photos: {
        ImageObject: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Photograph: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    GeoCovers: {
        GeospatialGeometry: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Place: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    ContainedIn: {
        Place: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    HasDriveThroughService: {
        Boolean: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Logo: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        ImageObject: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    IsAccessibleForFree: {
        Boolean: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    GeoWithin: {
        Place: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        GeospatialGeometry: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    GeoDisjoint: {
        GeospatialGeometry: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Place: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    TourBookingPage: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    IsicV4: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    GeoOverlaps: {
        GeospatialGeometry: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Place: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    BranchCode: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    AdditionalProperty: {
        PropertyValue: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    OpeningHoursSpecification: {
        OpeningHoursSpecification: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Reviews: {
        Review: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Photo: {
        Photograph: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        ImageObject: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    SpecialOpeningHoursSpecification: {
        OpeningHoursSpecification: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    HasMap: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Map: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Longitude: {
        ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Number({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Geo: {
        GeoCoordinates: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        GeoShape: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Events: {
        Event: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    FaxNumber: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    Event: {
        Event: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    MainEntityOfPage: {
        CreativeWork: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    AlternateName: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    Name: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    PotentialAction: {
        Action: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Image: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        ImageObject: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Url: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Description: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    SubjectOf: {
        Event: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        CreativeWork: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    AdditionalType: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    DisambiguatingDescription: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    SameAs: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Identifier: {
        ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
        }, string | import("react").JSXElementConstructor<any>>;
        URL({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        PropertyValue({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
};
export default _default;
